//
//  ViewController.swift
//  Dictionary
//
//  Created by Mark Meretzky on 10/18/18.
//  Copyright © 2018 New York University School of Professional Studies. All rights reserved.
//

import UIKit;

class ViewController: UIViewController, UITextFieldDelegate {

    override func viewDidLoad() {
        super.viewDidLoad();
        // Do any additional setup after loading the view, typically from a nib.
        //Let this view controller be the delegate of the UITextField.
        let textField: UITextField = view.subviews[1] as! UITextField;
        textField.delegate = self;
    }
    
    //Called when return key is pressed.
    //Decide if the app should accept this input and hide the keyboard.
    
    func textFieldShouldReturn(_ textField: UITextField) -> Bool {
        if textField.text == "" {
            textField.placeholder = "<type a non-empty word>";
        } else {
            textField.resignFirstResponder();    //Hide keyboard.
        }
        return true;    //The text field should do its default behavior.
    }
    
    let dictionary: [String: String] = [
        "billy":     "bookcase",
        "bronden":   "rug",
        "byllan":    "laptop support",
        "kuggis":    "box with lid",
        "kullaberg": "swivel chair"
    ];
    
    //Called when keyboard is hidden.
    //Process the text that was input.
    
    func textFieldDidEndEditing(_ textField: UITextField) {
        //Downcast the view property from class UIView to class UILabel.
        let answerLabel: UILabel = view.subviews[2] as! UILabel;
        
        let ikeaWord: String = textField.text!;
        let meaning: String? = dictionary[ikeaWord];
        
        if meaning == nil {
            answerLabel.text = "\(ikeaWord) doesn't mean anything.";
        } else {
            answerLabel.text = "\(ikeaWord) means \(meaning!).";
        }
    }


}

